#version 330 core

in vec3 position;
//instancing
in mat4 modelMatrix;
in mat4 inverseModelMatrix;

uniform mat4 viewProjectionMatrix;

void main()
{
	gl_Position = (viewProjectionMatrix * modelMatrix) * vec4(position, 1.0);
}

