#version 330 core

in vec2 position;
in vec2 uv;
in vec4 color;

out vec2 texCoord;
out vec4 diffuseColor;

uniform mat4 viewProjectionMatrix;

void main()
{
	texCoord = uv;
	diffuseColor = color;
	gl_Position = viewProjectionMatrix * vec4(position.xy, 0, 1);
}
