#version 330 core

uniform vec3 emissiveColor;

layout(location = 0) out vec4 FragColor;
layout(location = 1) out vec4 BrightColor;

void ColorOutputMRT(vec4 color)
{
	FragColor = color;
	if(dot(color.rgb,vec3(0.2126,0.7152,0.0722)) > 1.0f)
	{
		BrightColor = vec4(color.rgb, 1.0f);
	}
}

void main()
{
	ColorOutputMRT(vec4(emissiveColor,1.0f));
}
